Arch Truss/pt-br: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
Line 11: Line 11:
}}
}}
</div>
</div>

{{VeryImportantMessage|THIS COMMAND IS PART OF THE INTEGRATED [[BIM_Workbench|BIM WORKBENCH]] IN V1.0<br>
This page has been updated for that version.}}


{{GuiCommand
{{GuiCommand
|Name=Arch Truss
|Name=Arch Truss
|MenuLocation=Arch → Truss
|MenuLocation=3D/BIM → Truss
|Workbenches=[[Arch_Workbench|Arch]]
|Workbenches=[[Arch_Workbench|Arch]]
|Version=0.19
|Version=0.19
}}
}}


<span id="Description"></span>
==Descrição==
==Descrição==


Line 25: Line 29:
[[Image:Arch Truss example.png|600px]]
[[Image:Arch Truss example.png|600px]]


<span id="Usage"></span>
==Utilização==
==Utilização==


Line 31: Line 36:
# Use a workbench of your choice to create a single line
# Use a workbench of your choice to create a single line
# Select that line
# Select that line
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch_Truss|Arch Truss]]}} button
# Press the {{Button|[[Image:Arch_Truss.svg|16px]] [[Arch_Truss|Truss]]}} button
# Adjust the truss properties to your liking
# Adjust the truss properties to your liking



===Creating from scratch===
===Creating from scratch===


# Make sure nothing is selected
# Make sure nothing is selected
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch_Truss|Arch Truss]]}} button
# Press the {{Button|[[Image:Arch_Truss.svg|16px]] [[Arch_Truss|Truss]]}} button
# Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
# Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
# Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
# Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
# Adjust the truss properties to your liking
# Adjust the truss properties to your liking


<span id="Properties"></span>
==Propriedades==
==Propriedades==


Line 99: Line 104:
</div>
</div>


{{Arch Tools navi{{#translation:}}}}
{{BIM_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 14:45, 11 June 2024

Other languages:
THIS COMMAND IS PART OF THE INTEGRATED BIM WORKBENCH IN V1.0
This page has been updated for that version.

Arch Truss

Menu location
3D/BIM → Truss
Workbenches
Arch
Default shortcut
None
Introduced in version
0.19
See also
None

Descrição

The Arch Truss tool builds a truss object, either from a selected linear object (lie a Draft Line or Sketch), or from scratch, if no object is selected when launching the command.

Utilização

Creating from a selected object

  1. Use a workbench of your choice to create a single line
  2. Select that line
  3. Press the Truss button
  4. Adjust the truss properties to your liking

Creating from scratch

  1. Make sure nothing is selected
  2. Press the Truss button
  3. Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
  4. Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
  5. Adjust the truss properties to your liking

Propriedades

Data

  • DadosTrussAngle: The angle of the truss
  • DadosSlantType: The slant type of this truss
  • DadosNormal: The normal direction of this truss
  • DadosHeightStart: The height of the truss at the start position
  • DadosHeightEnd: The height of the truss at the end position
  • DadosStrutStartOffset: An optional start offset for the top strut
  • DadosStrutEndOffset: An optional end offset for the top strut
  • DadosStrutHeight: The height of the main top and bottom elements of the truss
  • DadosStrutWidth: The width of the main top and bottom elements of the truss
  • DadosRodType: The type of the middle element of the truss
  • DadosRodDirection: The direction of the rods
  • DadosRodSize: The diameter or side of the rods
  • DadosRodSections: The number of rod sections
  • DadosRodEnd: If the truss has a rod at its endpoint or not
  • DadosRodMode: How to draw the rods

Scripting

The Truss tool can be used in macros and from the Python console by using the following function:

Truss = makeFence([baseobj])

Example:

import FreeCAD
import Draft
import Arch

p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2000,0,0)
baseline = Draft.makeLine(p1,p2)
truss = Arch.makeTruss(baseline)
truss.HeightStart = 200
truss.HeightEnd = 400
# adjust other needed properties